Skip to content

Get invoice details

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/{invoice_id}

Get detailed invoice information including lines, taxes, and payment details.

invoice_id
required
Invoice Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Examples

Invoice detail response

{
"id": "f3df2967-7cbe-4cca-8c8c-975ee2f6857f",
"irn": "ZTX-INV-2026-0001",
"status": "VALIDATED",
"issue_date": "2026-02-11",
"due_date": "2026-02-25",
"document_currency_code": "NGN",
"supplier_id": "2e7d8795-0b14-4df5-b1d7-65d3f4f1f77c",
"customer_id": "8a1c7f6c-61a1-4d89-8d96-3f7e7747f0c0",
"line_extension_amount": "215000.00",
"tax_amount_total": "20000.00",
"payable_amount": "235000.00"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}